package main

import (
	"fmt"
	"net"
	"github.com/kingecg/goaidb/network"
	"github.com/kingecg/goaidb/storage"
)

// 主程序入口
func main() {
	// 初始化存储引擎（默认使用内存引擎）
	storageEngine, err := storage.NewMemoryEngine()
	if err != nil {
		fmt.Printf("Failed to initialize storage engine: %v\n", err)
		return
	}

	// 创建网络服务器
	server := network.NewServer(storageEngine)

	// 启动服务
	listener, err := net.Listen("tcp", ":27017")
	if err != nil {
		fmt.Printf("Failed to start server: %v\n", err)
		return
	}
	
	fmt.Println("GoAIDB started on port 27017")
	server.Serve(listener)
}